<?php
include 'header.php';
include 'erpc_vendedores_metas_toolbar.php'; //Nome da tabela _list.php
include_once 'connect.php';



// Método para post de Query Avançada
$consulta = "select vm.id, vm.id_vendedor, month(dt_meta) as nr_mes, v.ds_nome, vm.vl_meta
            	from erpc_vendedores_metas vm
            		inner join erpc_vendedores v
             			on vm.id_vendedor = v.id
                where vm.st_ativo = 1";

if(isset($_POST['id_vendedor'])){
    $id_vendedor = $_POST['id_vendedor'];
    if($id_vendedor != '00'){
        $consulta .= ' and id_vendedor = ' . $id_vendedor;
    }
}
if(isset($_POST['nr_ano'])){
    $nr_ano = $_POST['nr_ano'];
    $consulta .= ' and year(dt_meta) = ' . $nr_ano;
}
if(isset($_GET['nr_ano'])){
    $nr_ano = base64_decode($_GET['nr_ano']);
    $consulta .= ' and year(dt_meta) = ' . $nr_ano;
}
//echo $consulta;
?>

<div class="block">
  <div class="header">
  <h2>Vendedores</h2>
  </div>
  <div class="content">
  	<?php
    //echo '<pre>' . var_export($_SESSION, true) . '</pre>';
    displayMessagesAndErrors();
    ?>
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
            <!-- <th width=02%><input type="checkbox" class="checkall" /></th> -->
			<th width=05%>ID Vend.</th>
            <th width=20%>Nome do Vendedor</th>
            <th width=15%>Mês</th>
            <th width=20%>Meta</th>
			<th width=05%>Editar</th>
			<th width=05%>Excluir</th>
          </tr>
        </thead>
        <tbody>

          <?php
          
			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

                $id             = $registro['id'];
                $id_crip        = base64_encode($id);
                $id_vendedor    = $registro['id_vendedor'];
                $ds_nome        = $registro['ds_nome'];
				$nr_mes         = $registro['nr_mes'];
				$vl_meta        = $registro['vl_meta'];
				
				switch($nr_mes){
				    case 1:
    				    $ds_mes = 'Janeiro';
    				    break;
				    case 2:
				        $ds_mes = 'Fevereiro';
				        break;
				    case 3:
				        $ds_mes = 'Março';
				        break;
				    case 4:
				        $ds_mes = 'Abril';
				        break;
				    case 5:
				        $ds_mes = 'Maio';
				        break;
				    case 6:
				        $ds_mes = 'Junho';
				        break;
				    case 7:
				        $ds_mes = 'Julho';
				        break;
				    case 8:
				        $ds_mes = 'Agosto';
				        break;
				    case 9:
				        $ds_mes = 'Setembro';
				        break;
				    case 10:
				        $ds_mes = 'Outubro';
				        break;
				    case 11:
				        $ds_mes = 'Novembro';
				        break;
				    case 12:
				        $ds_mes = 'Dezembro';
				        break;
				}
						
			echo "<tr>";
                echo "<td>$id_vendedor</td>";
                echo "<td>$ds_nome</td>";
                echo "<td>$ds_mes</td>";
                echo "<td>R$ ". number_format($vl_meta, 2, ',', '.') ."</td>";
                echo "<td class='text-center'><a href='erpc_vendedores_metas_edit.php?id=$id_crip'>  <i class='glyphicon glyphicon-pencil' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
                echo "<td class='text-center'><a href='erpc_vendedores_metas_remove.php?id=$id_crip'><i class='glyphicon glyphicon-remove' title='Excluir'><span class='sr-only'>Excluir</span></i></a></td>";
          	echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
